//Exported using: HydroD V4.6-03 started 16-May-2016 11:24:30
// ***********************************************************
DirectionSet1 = DirectionSet(Array(0 deg,15 deg,30 deg,45 deg,60 deg,75 deg,90 deg,105 deg,120 deg,135 deg,150 deg,165 deg,180 deg,195 deg,210 deg,225 deg,240 deg,255 deg,270 deg,285 deg,300 deg,315 deg,330 deg,345 deg,360 deg));
// ***********************************************************
FrequencySet1 = FrequencySet(FrequencyTypePeriod, Array(4 s,5 s,6 s,8 s,10 s,12 s,15 s,20 s,25 s));
// ***********************************************************
Location1 = Location();
Location1.setDepth(25 m);
Location1.gravity = 9.80665 m/s^2;
Location1.air().density = 1.226 Kg/m^3;
Location1.air().kinematicViscosity = 1.462e-005 m^2/s;
Location1.water().density = 1025 Kg/m^3;
Location1.water().kinematicViscosity = 1.19e-006 m^2/s;
Location1.seabed().normaldirection = Vector3d(0 m,0 m,1 m);
// ***********************************************************
Condition1 = FrequencyDomain(Location1);
Condition1.waterSurface().directionSet = DirectionSet1;
Condition1.waterSurface().frequencySet = FrequencySet1;
Condition1.water().setNoCurrent();
// ***********************************************************
HydroModel1 = HydroModel(HydroModelFloating);
HydroModel1.setColumnStabilized(false);
HydroModel1.setBaselineZPos(0 m);
HydroModel1.setAPXPos(0 m);
HydroModel1.setFPXPos(100 m);
HydroModel1.clearReportMetaCenterRotationAxisAzim();
HydroModel1.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel1.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel1.clearReportHeelTrimCombinations();
HydroModel1.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel1.clearReportZWaterlines();
HydroModel1.addReportZWaterline(-4.5 m);
HydroModel1.addReportZWaterline(-4 m);
HydroModel1.addReportZWaterline(-3.5 m);
HydroModel1.addReportZWaterline(-3 m);
HydroModel1.addReportZWaterline(-2.5 m);
HydroModel1.addReportZWaterline(-2 m);
HydroModel1.addReportZWaterline(-1.5 m);
HydroModel1.addReportZWaterline(-1 m);
HydroModel1.addReportZWaterline(-0.5 m);
HydroModel1.addReportZWaterline(0 m);
HydroModel1.addReportZWaterline(0.5 m);
HydroModel1.addReportZWaterline(1 m);
HydroModel1.addReportZWaterline(1.5 m);
HydroModel1.addReportZWaterline(2 m);
HydroModel1.setKidTag("caa38953-b7ff-4b2d-a190-ea7df1693161");
// ***********************************************************
Ballast = Fluid(HydroModel1);
Ballast.density = 1025 Kg/m^3;
Ballast.setKidTag("8077ce35-667f-4749-8f5c-c1bdde71c8a8");
// ***********************************************************
Permeability1 = Permeability(HydroModel1, 1);
Permeability1.setKidTag("22bfd092-b855-4951-a813-67fa381e9c43");
// ***********************************************************
FillingFraction1 = FillingFraction(HydroModel1, 0);
FillingFraction1.setKidTag("ccfa6cdd-f51f-488b-b622-a51220409fdc");
// ***********************************************************
FillingFraction0_328 = FillingFraction(HydroModel1, 0.3283166633);
FillingFraction0_328.setKidTag("9462419e-6efa-4054-9915-acae5767c442");
// ***********************************************************
FillingFraction0_317 = FillingFraction(HydroModel1, 0.3178044285);
FillingFraction0_317.setKidTag("bd1b0968-3d42-40ba-9ea7-73ee7d8039f7");
// ***********************************************************
FillingFraction0_576 = FillingFraction(HydroModel1, 0.5760775876);
FillingFraction0_576.setKidTag("e1e269f9-55d5-41c9-a4cd-eb5d520a7df8");
// ***********************************************************
PanelModel1 = PanelModel(HydroModel1, ElementEnumsFEMFile, "../../../../../Program Files (x86)/DNVS/HydroD V4.6-03/UserExamples/Barge/inp/MultibodyBarge_T1.FEM", false, false);
PanelModel1.setModelTranslation(Vector3d(0 m,0 m,-4.5 m));
PanelModel1.regenerateGeometry();
PanelModel1.setKidTag("6ea60fb9-5609-459a-9db4-8dce2c967665");
// ***********************************************************
StructureModel1 = StructureModel(HydroModel1, ElementEnumsFEMFile, "../../../../../Program Files (x86)/DNVS/HydroD V4.6-03/UserExamples/Barge/inp/MultibodyBarge_T1.FEM", 0);
StructureModel1.setModelTranslation(Vector3d(0 m,0 m,-4.5 m));
StructureModel1.regenerateGeometry();
StructureModel1.setKidTag("ed14e1f6-4980-4a49-9dc8-1212bae808cc");
// ***********************************************************
Cm_LC10 = Compartment(StructureModel1, 10);
Cm_LC10.permeability = Permeability1;
Cm_LC10.clearReportingFractions();
Cm_LC10.addReportingFraction(0);
Cm_LC10.addReportingFraction(0.05);
Cm_LC10.addReportingFraction(0.1);
Cm_LC10.addReportingFraction(0.2);
Cm_LC10.addReportingFraction(0.3);
Cm_LC10.addReportingFraction(0.4);
Cm_LC10.addReportingFraction(0.5);
Cm_LC10.addReportingFraction(0.6);
Cm_LC10.addReportingFraction(0.7);
Cm_LC10.addReportingFraction(0.8);
Cm_LC10.addReportingFraction(0.9);
Cm_LC10.addReportingFraction(0.95);
Cm_LC10.addReportingFraction(0.98);
Cm_LC10.addReportingFraction(1);
Cm_LC10.clearReportingTrimHeel();
Cm_LC10.addReportingTrimHeel(0, 0);
Cm_LC10.clearFillingTableRotationAxes();
Cm_LC10.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC10.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC10.setKidTag("8675e7b5-5234-4ee2-832e-f1081e5b2529");
// ***********************************************************
Cm_LC11 = Compartment(StructureModel1, 11);
Cm_LC11.permeability = Permeability1;
Cm_LC11.clearReportingFractions();
Cm_LC11.addReportingFraction(0);
Cm_LC11.addReportingFraction(0.05);
Cm_LC11.addReportingFraction(0.1);
Cm_LC11.addReportingFraction(0.2);
Cm_LC11.addReportingFraction(0.3);
Cm_LC11.addReportingFraction(0.4);
Cm_LC11.addReportingFraction(0.5);
Cm_LC11.addReportingFraction(0.6);
Cm_LC11.addReportingFraction(0.7);
Cm_LC11.addReportingFraction(0.8);
Cm_LC11.addReportingFraction(0.9);
Cm_LC11.addReportingFraction(0.95);
Cm_LC11.addReportingFraction(0.98);
Cm_LC11.addReportingFraction(1);
Cm_LC11.clearReportingTrimHeel();
Cm_LC11.addReportingTrimHeel(0, 0);
Cm_LC11.clearFillingTableRotationAxes();
Cm_LC11.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC11.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC11.setKidTag("c522dd3f-f26b-4b1e-95c6-1e5b603bcfba");
// ***********************************************************
Cm_LC12 = Compartment(StructureModel1, 12);
Cm_LC12.permeability = Permeability1;
Cm_LC12.clearReportingFractions();
Cm_LC12.addReportingFraction(0);
Cm_LC12.addReportingFraction(0.05);
Cm_LC12.addReportingFraction(0.1);
Cm_LC12.addReportingFraction(0.2);
Cm_LC12.addReportingFraction(0.3);
Cm_LC12.addReportingFraction(0.4);
Cm_LC12.addReportingFraction(0.5);
Cm_LC12.addReportingFraction(0.6);
Cm_LC12.addReportingFraction(0.7);
Cm_LC12.addReportingFraction(0.8);
Cm_LC12.addReportingFraction(0.9);
Cm_LC12.addReportingFraction(0.95);
Cm_LC12.addReportingFraction(0.98);
Cm_LC12.addReportingFraction(1);
Cm_LC12.clearReportingTrimHeel();
Cm_LC12.addReportingTrimHeel(0, 0);
Cm_LC12.clearFillingTableRotationAxes();
Cm_LC12.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC12.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC12.setKidTag("fc44e901-d69e-4305-88e9-5d8a0e8fa264");
// ***********************************************************
Cm_LC13 = Compartment(StructureModel1, 13);
Cm_LC13.permeability = Permeability1;
Cm_LC13.clearReportingFractions();
Cm_LC13.addReportingFraction(0);
Cm_LC13.addReportingFraction(0.05);
Cm_LC13.addReportingFraction(0.1);
Cm_LC13.addReportingFraction(0.2);
Cm_LC13.addReportingFraction(0.3);
Cm_LC13.addReportingFraction(0.4);
Cm_LC13.addReportingFraction(0.5);
Cm_LC13.addReportingFraction(0.6);
Cm_LC13.addReportingFraction(0.7);
Cm_LC13.addReportingFraction(0.8);
Cm_LC13.addReportingFraction(0.9);
Cm_LC13.addReportingFraction(0.95);
Cm_LC13.addReportingFraction(0.98);
Cm_LC13.addReportingFraction(1);
Cm_LC13.clearReportingTrimHeel();
Cm_LC13.addReportingTrimHeel(0, 0);
Cm_LC13.clearFillingTableRotationAxes();
Cm_LC13.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC13.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC13.setKidTag("f764200d-a920-4b2a-b7e9-bedd54847a4e");
// ***********************************************************
Cm_LC14 = Compartment(StructureModel1, 14);
Cm_LC14.permeability = Permeability1;
Cm_LC14.clearReportingFractions();
Cm_LC14.addReportingFraction(0);
Cm_LC14.addReportingFraction(0.05);
Cm_LC14.addReportingFraction(0.1);
Cm_LC14.addReportingFraction(0.2);
Cm_LC14.addReportingFraction(0.3);
Cm_LC14.addReportingFraction(0.4);
Cm_LC14.addReportingFraction(0.5);
Cm_LC14.addReportingFraction(0.6);
Cm_LC14.addReportingFraction(0.7);
Cm_LC14.addReportingFraction(0.8);
Cm_LC14.addReportingFraction(0.9);
Cm_LC14.addReportingFraction(0.95);
Cm_LC14.addReportingFraction(0.98);
Cm_LC14.addReportingFraction(1);
Cm_LC14.clearReportingTrimHeel();
Cm_LC14.addReportingTrimHeel(0, 0);
Cm_LC14.clearFillingTableRotationAxes();
Cm_LC14.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC14.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC14.setKidTag("58d7f07d-93d9-4d22-8d28-5b3b72415bfb");
// ***********************************************************
Cm_LC15 = Compartment(StructureModel1, 15);
Cm_LC15.permeability = Permeability1;
Cm_LC15.clearReportingFractions();
Cm_LC15.addReportingFraction(0);
Cm_LC15.addReportingFraction(0.05);
Cm_LC15.addReportingFraction(0.1);
Cm_LC15.addReportingFraction(0.2);
Cm_LC15.addReportingFraction(0.3);
Cm_LC15.addReportingFraction(0.4);
Cm_LC15.addReportingFraction(0.5);
Cm_LC15.addReportingFraction(0.6);
Cm_LC15.addReportingFraction(0.7);
Cm_LC15.addReportingFraction(0.8);
Cm_LC15.addReportingFraction(0.9);
Cm_LC15.addReportingFraction(0.95);
Cm_LC15.addReportingFraction(0.98);
Cm_LC15.addReportingFraction(1);
Cm_LC15.clearReportingTrimHeel();
Cm_LC15.addReportingTrimHeel(0, 0);
Cm_LC15.clearFillingTableRotationAxes();
Cm_LC15.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC15.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC15.setKidTag("9c7c9c4a-a9df-4d87-9634-bfae3d4242dc");
// ***********************************************************
Cm_LC2 = Compartment(StructureModel1, 2);
Cm_LC2.permeability = Permeability1;
Cm_LC2.clearReportingFractions();
Cm_LC2.addReportingFraction(0);
Cm_LC2.addReportingFraction(0.05);
Cm_LC2.addReportingFraction(0.1);
Cm_LC2.addReportingFraction(0.2);
Cm_LC2.addReportingFraction(0.3);
Cm_LC2.addReportingFraction(0.4);
Cm_LC2.addReportingFraction(0.5);
Cm_LC2.addReportingFraction(0.6);
Cm_LC2.addReportingFraction(0.7);
Cm_LC2.addReportingFraction(0.8);
Cm_LC2.addReportingFraction(0.9);
Cm_LC2.addReportingFraction(0.95);
Cm_LC2.addReportingFraction(0.98);
Cm_LC2.addReportingFraction(1);
Cm_LC2.clearReportingTrimHeel();
Cm_LC2.addReportingTrimHeel(0, 0);
Cm_LC2.clearFillingTableRotationAxes();
Cm_LC2.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC2.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC2.setKidTag("2ba17566-f6b9-4596-a6b2-a0d64fe9d817");
// ***********************************************************
Cm_LC3 = Compartment(StructureModel1, 3);
Cm_LC3.permeability = Permeability1;
Cm_LC3.clearReportingFractions();
Cm_LC3.addReportingFraction(0);
Cm_LC3.addReportingFraction(0.05);
Cm_LC3.addReportingFraction(0.1);
Cm_LC3.addReportingFraction(0.2);
Cm_LC3.addReportingFraction(0.3);
Cm_LC3.addReportingFraction(0.4);
Cm_LC3.addReportingFraction(0.5);
Cm_LC3.addReportingFraction(0.6);
Cm_LC3.addReportingFraction(0.7);
Cm_LC3.addReportingFraction(0.8);
Cm_LC3.addReportingFraction(0.9);
Cm_LC3.addReportingFraction(0.95);
Cm_LC3.addReportingFraction(0.98);
Cm_LC3.addReportingFraction(1);
Cm_LC3.clearReportingTrimHeel();
Cm_LC3.addReportingTrimHeel(0, 0);
Cm_LC3.clearFillingTableRotationAxes();
Cm_LC3.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC3.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC3.setKidTag("4a92607f-1a36-46b2-934c-457179cfb361");
// ***********************************************************
Cm_LC4 = Compartment(StructureModel1, 4);
Cm_LC4.permeability = Permeability1;
Cm_LC4.clearReportingFractions();
Cm_LC4.addReportingFraction(0);
Cm_LC4.addReportingFraction(0.05);
Cm_LC4.addReportingFraction(0.1);
Cm_LC4.addReportingFraction(0.2);
Cm_LC4.addReportingFraction(0.3);
Cm_LC4.addReportingFraction(0.4);
Cm_LC4.addReportingFraction(0.5);
Cm_LC4.addReportingFraction(0.6);
Cm_LC4.addReportingFraction(0.7);
Cm_LC4.addReportingFraction(0.8);
Cm_LC4.addReportingFraction(0.9);
Cm_LC4.addReportingFraction(0.95);
Cm_LC4.addReportingFraction(0.98);
Cm_LC4.addReportingFraction(1);
Cm_LC4.clearReportingTrimHeel();
Cm_LC4.addReportingTrimHeel(0, 0);
Cm_LC4.clearFillingTableRotationAxes();
Cm_LC4.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC4.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC4.setKidTag("396601eb-e18e-402a-b3b4-1745e68af8e4");
// ***********************************************************
Cm_LC5 = Compartment(StructureModel1, 5);
Cm_LC5.permeability = Permeability1;
Cm_LC5.clearReportingFractions();
Cm_LC5.addReportingFraction(0);
Cm_LC5.addReportingFraction(0.05);
Cm_LC5.addReportingFraction(0.1);
Cm_LC5.addReportingFraction(0.2);
Cm_LC5.addReportingFraction(0.3);
Cm_LC5.addReportingFraction(0.4);
Cm_LC5.addReportingFraction(0.5);
Cm_LC5.addReportingFraction(0.6);
Cm_LC5.addReportingFraction(0.7);
Cm_LC5.addReportingFraction(0.8);
Cm_LC5.addReportingFraction(0.9);
Cm_LC5.addReportingFraction(0.95);
Cm_LC5.addReportingFraction(0.98);
Cm_LC5.addReportingFraction(1);
Cm_LC5.clearReportingTrimHeel();
Cm_LC5.addReportingTrimHeel(0, 0);
Cm_LC5.clearFillingTableRotationAxes();
Cm_LC5.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC5.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC5.setKidTag("bfc179b4-051e-4f6f-8543-b8c537b09365");
// ***********************************************************
Cm_LC6 = Compartment(StructureModel1, 6);
Cm_LC6.permeability = Permeability1;
Cm_LC6.clearReportingFractions();
Cm_LC6.addReportingFraction(0);
Cm_LC6.addReportingFraction(0.05);
Cm_LC6.addReportingFraction(0.1);
Cm_LC6.addReportingFraction(0.2);
Cm_LC6.addReportingFraction(0.3);
Cm_LC6.addReportingFraction(0.4);
Cm_LC6.addReportingFraction(0.5);
Cm_LC6.addReportingFraction(0.6);
Cm_LC6.addReportingFraction(0.7);
Cm_LC6.addReportingFraction(0.8);
Cm_LC6.addReportingFraction(0.9);
Cm_LC6.addReportingFraction(0.95);
Cm_LC6.addReportingFraction(0.98);
Cm_LC6.addReportingFraction(1);
Cm_LC6.clearReportingTrimHeel();
Cm_LC6.addReportingTrimHeel(0, 0);
Cm_LC6.clearFillingTableRotationAxes();
Cm_LC6.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC6.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC6.setKidTag("b2fc98a1-0f31-48fa-a994-45993255428b");
// ***********************************************************
Cm_LC7 = Compartment(StructureModel1, 7);
Cm_LC7.permeability = Permeability1;
Cm_LC7.clearReportingFractions();
Cm_LC7.addReportingFraction(0);
Cm_LC7.addReportingFraction(0.05);
Cm_LC7.addReportingFraction(0.1);
Cm_LC7.addReportingFraction(0.2);
Cm_LC7.addReportingFraction(0.3);
Cm_LC7.addReportingFraction(0.4);
Cm_LC7.addReportingFraction(0.5);
Cm_LC7.addReportingFraction(0.6);
Cm_LC7.addReportingFraction(0.7);
Cm_LC7.addReportingFraction(0.8);
Cm_LC7.addReportingFraction(0.9);
Cm_LC7.addReportingFraction(0.95);
Cm_LC7.addReportingFraction(0.98);
Cm_LC7.addReportingFraction(1);
Cm_LC7.clearReportingTrimHeel();
Cm_LC7.addReportingTrimHeel(0, 0);
Cm_LC7.clearFillingTableRotationAxes();
Cm_LC7.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC7.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC7.setKidTag("9caf0ddb-1228-42ba-951d-0281d75e4c5e");
// ***********************************************************
Cm_LC8 = Compartment(StructureModel1, 8);
Cm_LC8.permeability = Permeability1;
Cm_LC8.clearReportingFractions();
Cm_LC8.addReportingFraction(0);
Cm_LC8.addReportingFraction(0.05);
Cm_LC8.addReportingFraction(0.1);
Cm_LC8.addReportingFraction(0.2);
Cm_LC8.addReportingFraction(0.3);
Cm_LC8.addReportingFraction(0.4);
Cm_LC8.addReportingFraction(0.5);
Cm_LC8.addReportingFraction(0.6);
Cm_LC8.addReportingFraction(0.7);
Cm_LC8.addReportingFraction(0.8);
Cm_LC8.addReportingFraction(0.9);
Cm_LC8.addReportingFraction(0.95);
Cm_LC8.addReportingFraction(0.98);
Cm_LC8.addReportingFraction(1);
Cm_LC8.clearReportingTrimHeel();
Cm_LC8.addReportingTrimHeel(0, 0);
Cm_LC8.clearFillingTableRotationAxes();
Cm_LC8.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC8.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC8.setKidTag("35495ba1-3837-407d-b74a-2efd16402adb");
// ***********************************************************
Cm_LC9 = Compartment(StructureModel1, 9);
Cm_LC9.permeability = Permeability1;
Cm_LC9.clearReportingFractions();
Cm_LC9.addReportingFraction(0);
Cm_LC9.addReportingFraction(0.05);
Cm_LC9.addReportingFraction(0.1);
Cm_LC9.addReportingFraction(0.2);
Cm_LC9.addReportingFraction(0.3);
Cm_LC9.addReportingFraction(0.4);
Cm_LC9.addReportingFraction(0.5);
Cm_LC9.addReportingFraction(0.6);
Cm_LC9.addReportingFraction(0.7);
Cm_LC9.addReportingFraction(0.8);
Cm_LC9.addReportingFraction(0.9);
Cm_LC9.addReportingFraction(0.95);
Cm_LC9.addReportingFraction(0.98);
Cm_LC9.addReportingFraction(1);
Cm_LC9.clearReportingTrimHeel();
Cm_LC9.addReportingTrimHeel(0, 0);
Cm_LC9.clearFillingTableRotationAxes();
Cm_LC9.addFillingTableRotationAxis(Vector3d(1 m,0 m,0 m));
Cm_LC9.addFillingTableRotationAxis(Vector3d(0 m,1 m,0 m));
Cm_LC9.setKidTag("11ad1cea-28c0-4f2f-b4a2-7b08fa11820f");
// ***********************************************************
LoadingCondition1 = LoadingCondition(HydroModel1, 0 m, 0 deg, 0 deg);
LoadingCondition1.setByDraft(false);
LoadingCondition1.interpolateDampingMatrices(false);
LoadingCondition1.addDampingMatricesToWadam(true);
LoadingCondition1.setKidTag("a7240b2a-881e-4aeb-992d-918f8a429019");
// ***********************************************************
Cm_LC10_C = CompartmentContent(LoadingCondition1, Cm_LC10);
Cm_LC10_C.intactFluid = Ballast;
Cm_LC10_C.damageFluid = Ballast;
Cm_LC10_C.fillingFraction = FillingFraction0_317;
Cm_LC10_C.setKidTag("66feec50-6a66-4cc6-910c-3219353dcb69");
// ***********************************************************
Cm_LC11_C = CompartmentContent(LoadingCondition1, Cm_LC11);
Cm_LC11_C.intactFluid = Ballast;
Cm_LC11_C.damageFluid = Ballast;
Cm_LC11_C.fillingFraction = FillingFraction1;
Cm_LC11_C.setKidTag("53fe97b5-85b7-451e-9c36-c43be9d0c083");
// ***********************************************************
Cm_LC12_C = CompartmentContent(LoadingCondition1, Cm_LC12);
Cm_LC12_C.intactFluid = Ballast;
Cm_LC12_C.damageFluid = Ballast;
Cm_LC12_C.fillingFraction = FillingFraction1;
Cm_LC12_C.setKidTag("08de4191-deca-4f11-a2f9-32b17ed09f5f");
// ***********************************************************
Cm_LC13_C = CompartmentContent(LoadingCondition1, Cm_LC13);
Cm_LC13_C.intactFluid = Ballast;
Cm_LC13_C.damageFluid = Ballast;
Cm_LC13_C.fillingFraction = FillingFraction0_576;
Cm_LC13_C.setKidTag("526e480c-1fd3-4892-8051-1120ee34f209");
// ***********************************************************
Cm_LC14_C = CompartmentContent(LoadingCondition1, Cm_LC14);
Cm_LC14_C.intactFluid = Ballast;
Cm_LC14_C.damageFluid = Ballast;
Cm_LC14_C.fillingFraction = FillingFraction1;
Cm_LC14_C.setKidTag("da7d3559-6e08-47dd-88cd-d8d70a024ecd");
// ***********************************************************
Cm_LC15_C = CompartmentContent(LoadingCondition1, Cm_LC15);
Cm_LC15_C.intactFluid = Ballast;
Cm_LC15_C.damageFluid = Ballast;
Cm_LC15_C.fillingFraction = FillingFraction1;
Cm_LC15_C.setKidTag("44e9cbfe-4457-4ba8-a3a6-9fe3385a130e");
// ***********************************************************
Cm_LC2_C = CompartmentContent(LoadingCondition1, Cm_LC2);
Cm_LC2_C.intactFluid = Ballast;
Cm_LC2_C.damageFluid = Ballast;
Cm_LC2_C.fillingFraction = FillingFraction0_328;
Cm_LC2_C.setKidTag("5d45fac4-4a1a-4eb4-a810-001bb901d66d");
// ***********************************************************
Cm_LC3_C = CompartmentContent(LoadingCondition1, Cm_LC3);
Cm_LC3_C.intactFluid = Ballast;
Cm_LC3_C.damageFluid = Ballast;
Cm_LC3_C.fillingFraction = FillingFraction1;
Cm_LC3_C.setKidTag("41a1024d-583b-4397-9939-c569da179459");
// ***********************************************************
Cm_LC4_C = CompartmentContent(LoadingCondition1, Cm_LC4);
Cm_LC4_C.intactFluid = Ballast;
Cm_LC4_C.damageFluid = Ballast;
Cm_LC4_C.fillingFraction = FillingFraction1;
Cm_LC4_C.setKidTag("3b6dd010-5060-4e02-a714-cbe694cf9ee1");
// ***********************************************************
Cm_LC5_C = CompartmentContent(LoadingCondition1, Cm_LC5);
Cm_LC5_C.intactFluid = Ballast;
Cm_LC5_C.damageFluid = Ballast;
Cm_LC5_C.fillingFraction = FillingFraction1;
Cm_LC5_C.setKidTag("63b0a198-2dd9-4de2-b833-f11a4ce29254");
// ***********************************************************
Cm_LC6_C = CompartmentContent(LoadingCondition1, Cm_LC6);
Cm_LC6_C.intactFluid = Ballast;
Cm_LC6_C.damageFluid = Ballast;
Cm_LC6_C.fillingFraction = FillingFraction1;
Cm_LC6_C.setKidTag("898fb0bf-e2a9-426b-83f8-fafe860af6ed");
// ***********************************************************
Cm_LC7_C = CompartmentContent(LoadingCondition1, Cm_LC7);
Cm_LC7_C.intactFluid = Ballast;
Cm_LC7_C.damageFluid = Ballast;
Cm_LC7_C.fillingFraction = FillingFraction1;
Cm_LC7_C.setKidTag("90dc784a-d403-4672-bc10-09a4bfd28df9");
// ***********************************************************
Cm_LC8_C = CompartmentContent(LoadingCondition1, Cm_LC8);
Cm_LC8_C.intactFluid = Ballast;
Cm_LC8_C.damageFluid = Ballast;
Cm_LC8_C.fillingFraction = FillingFraction1;
Cm_LC8_C.setKidTag("da607f9b-dbc6-46a6-868d-04cdc0239ea7");
// ***********************************************************
Cm_LC9_C = CompartmentContent(LoadingCondition1, Cm_LC9);
Cm_LC9_C.intactFluid = Ballast;
Cm_LC9_C.damageFluid = Ballast;
Cm_LC9_C.fillingFraction = FillingFraction1;
Cm_LC9_C.setKidTag("51236de7-7df8-4745-bc76-09603188d6eb");
// ***********************************************************
MassModel1 = MassModel(LoadingCondition1, ElementEnumsFEMFile, "../../../../../Program Files (x86)/DNVS/HydroD V4.6-03/UserExamples/Barge/inp/MultibodyBarge_T1.FEM");
MassModel1.addTankMass(true);
MassModel1.internalDynamics(false);
MassModel1.updateStiffnessWithFreeSurfaceEffect(true);
MassModel1.setModelTranslation(Vector3d(0 m,0 m,-4.5 m));
MassModel1.regenerateGeometry();
MassModel1.setKidTag("feb9e743-04fb-4065-8a53-8ea7ee83d747");
// ***********************************************************
HydroModel2 = HydroModel(HydroModelFloating);
HydroModel2.setColumnStabilized(false);
HydroModel2.setBaselineZPos(0 m);
HydroModel2.setAPXPos(0 m);
HydroModel2.setFPXPos(100 m);
HydroModel2.clearReportMetaCenterRotationAxisAzim();
HydroModel2.addReportMetaCenterRotationAxisAzim(0 deg);
HydroModel2.addReportMetaCenterRotationAxisAzim(90 deg);
HydroModel2.clearReportHeelTrimCombinations();
HydroModel2.addReportHeelTrimCombination(0 deg, 0 deg);
HydroModel2.clearReportZWaterlines();
HydroModel2.addReportZWaterline(-10.5 m);
HydroModel2.addReportZWaterline(-10 m);
HydroModel2.addReportZWaterline(-9.5 m);
HydroModel2.addReportZWaterline(-9 m);
HydroModel2.addReportZWaterline(-8.5 m);
HydroModel2.addReportZWaterline(-8 m);
HydroModel2.addReportZWaterline(-7.5 m);
HydroModel2.addReportZWaterline(-7 m);
HydroModel2.addReportZWaterline(-6.5 m);
HydroModel2.addReportZWaterline(-6 m);
HydroModel2.addReportZWaterline(-5.5 m);
HydroModel2.addReportZWaterline(-5 m);
HydroModel2.addReportZWaterline(-4.5 m);
HydroModel2.addReportZWaterline(-4 m);
HydroModel2.addReportZWaterline(-3.5 m);
HydroModel2.addReportZWaterline(-3 m);
HydroModel2.addReportZWaterline(-2.5 m);
HydroModel2.addReportZWaterline(-2 m);
HydroModel2.addReportZWaterline(-1.5 m);
HydroModel2.addReportZWaterline(-1 m);
HydroModel2.addReportZWaterline(-0.5 m);
HydroModel2.addReportZWaterline(0 m);
HydroModel2.addReportZWaterline(0.5 m);
HydroModel2.addReportZWaterline(1 m);
HydroModel2.addReportZWaterline(1.5 m);
HydroModel2.addReportZWaterline(2 m);
HydroModel2.addReportZWaterline(2.5 m);
HydroModel2.addReportZWaterline(3 m);
HydroModel2.addReportZWaterline(3.5 m);
HydroModel2.addReportZWaterline(4 m);
HydroModel2.addReportZWaterline(4.5 m);
HydroModel2.addReportZWaterline(5 m);
HydroModel2.addReportZWaterline(5.5 m);
HydroModel2.addReportZWaterline(6 m);
HydroModel2.addReportZWaterline(6.5 m);
HydroModel2.addReportZWaterline(7 m);
HydroModel2.setKidTag("d46271ad-f0eb-4ef9-8534-2cbee2f9b9c9");
// ***********************************************************
PanelModel2 = PanelModel(HydroModel2, ElementEnumsFEMFile, "../../../../../Users/shid/Desktop/RE__For_two_vessel_model/geini_os_coarse_roll2T1.FEM", true, false);
PanelModel2.setModelTranslation(Vector3d(0 m,0 m,-10 m));
PanelModel2.regenerateGeometry();
PanelModel2.setKidTag("af2f92e5-06c8-4176-8e28-6e322babd940");
// ***********************************************************
LoadingCondition2 = LoadingCondition(HydroModel2, 0 m, 0 deg, 0 deg);
LoadingCondition2.setByDraft(false);
LoadingCondition2.interpolateDampingMatrices(false);
LoadingCondition2.addDampingMatricesToWadam(true);
LoadingCondition2.setKidTag("463d860b-0958-4a1c-abf5-0d9cec9f4608");
// ***********************************************************
MassModel2 = MassModel(LoadingCondition2, MassModelMatrix);
MassModel2.setUserMassCoordinateSystem(GlobalCoordinateSystem);
MassModel2.setTranslationalTerm(1, 1, 51200000 Kg);
MassModel2.setTranslationalTerm(1, 2, 0 Kg);
MassModel2.setTranslationalTerm(1, 3, 0 Kg);
MassModel2.setCoupledTerm(1, 4, 0 Kg*m);
MassModel2.setCoupledTerm(1, 5, 371000000 Kg*m);
MassModel2.setCoupledTerm(1, 6, 0 Kg*m);
MassModel2.setTranslationalTerm(2, 1, 0 Kg);
MassModel2.setTranslationalTerm(2, 2, 51200000 Kg);
MassModel2.setTranslationalTerm(2, 3, 0 Kg);
MassModel2.setCoupledTerm(2, 4, -371000000 Kg*m);
MassModel2.setCoupledTerm(2, 5, 0 Kg*m);
MassModel2.setCoupledTerm(2, 6, 0 Kg*m);
MassModel2.setTranslationalTerm(3, 1, 0 Kg);
MassModel2.setTranslationalTerm(3, 2, 51200000 Kg);
MassModel2.setTranslationalTerm(3, 3, 0 Kg);
MassModel2.setCoupledTerm(3, 4, 0 Kg*m);
MassModel2.setCoupledTerm(3, 5, 0 Kg*m);
MassModel2.setCoupledTerm(3, 6, 0 Kg*m);
MassModel2.setCoupledTerm(4, 1, 0 Kg*m);
MassModel2.setCoupledTerm(4, 2, -371000000 Kg*m);
MassModel2.setCoupledTerm(4, 3, 0 Kg*m);
MassModel2.setRotationalTerm(4, 4, 1.68e+010 Kg*m^2);
MassModel2.setRotationalTerm(4, 5, 0 Kg*m^2);
MassModel2.setRotationalTerm(4, 6, 0 Kg*m^2);
MassModel2.setCoupledTerm(5, 1, 371000000 Kg*m);
MassModel2.setCoupledTerm(5, 2, 0 Kg*m);
MassModel2.setCoupledTerm(5, 3, 0 Kg*m);
MassModel2.setRotationalTerm(5, 4, 0 Kg*m^2);
MassModel2.setRotationalTerm(5, 5, 1.05e+011 Kg*m^2);
MassModel2.setRotationalTerm(5, 6, 0 Kg*m^2);
MassModel2.setCoupledTerm(6, 1, 0 Kg*m);
MassModel2.setCoupledTerm(6, 2, 0 Kg*m);
MassModel2.setCoupledTerm(6, 3, 0 Kg*m);
MassModel2.setRotationalTerm(6, 4, 0 Kg*m^2);
MassModel2.setRotationalTerm(6, 5, 0 Kg*m^2);
MassModel2.setRotationalTerm(6, 6, 1.02e+011 Kg*m^2);
MassModel2.addTankMass(true);
MassModel2.internalDynamics(false);
MassModel2.updateStiffnessWithFreeSurfaceEffect(true);
MassModel2.setKidTag("6796cb53-eebc-43f6-8203-40be1b87214e");
// ***********************************************************
MultiBodyModel1 = MultiBodyModel();
MultiBodyModel1.addBody(LoadingCondition1, 0 m, 0 m, 0 deg);
MultiBodyModel1.addBody(LoadingCondition1, 0 m, 120 m, 0 deg);
// ***********************************************************
MultiBodyModel_Coupled = MultiBodyModel();
MultiBodyModel_Coupled.addBody(LoadingCondition1, 0 m, 0 m, 0 deg);
MultiBodyModel_Coupled.addBody(LoadingCondition1, 0 m, 120 m, 0 deg);
// ***********************************************************
CoupledStiffness2 = CoupledStiffnessMatrix(MultiBodyModel_Coupled);
CoupledStiffness2.setIncludeFreesurfaceEffects(0);
CoupledStiffness2.setIncludeRestoring(0);
CoupledStiffness2.setTranslationalTerm(1, 1, 5000000 N/m);
CoupledStiffness2.setTranslationalTerm(1, 2, 0 N/m);
CoupledStiffness2.setTranslationalTerm(1, 3, 0 N/m);
CoupledStiffness2.setCoupledTerm(1, 4, 0 N);
CoupledStiffness2.setCoupledTerm(1, 5, 0 N);
CoupledStiffness2.setCoupledTerm(1, 6, 0 N);
CoupledStiffness2.setTranslationalTerm(1, 7, -5000000 N/m);
CoupledStiffness2.setTranslationalTerm(1, 8, 0 N/m);
CoupledStiffness2.setTranslationalTerm(1, 9, 0 N/m);
CoupledStiffness2.setCoupledTerm(1, 10, 0 N);
CoupledStiffness2.setCoupledTerm(1, 11, 0 N);
CoupledStiffness2.setCoupledTerm(1, 12, 0 N);
CoupledStiffness2.setTranslationalTerm(2, 1, 0 N/m);
CoupledStiffness2.setTranslationalTerm(2, 2, 0 N/m);
CoupledStiffness2.setTranslationalTerm(2, 3, 0 N/m);
CoupledStiffness2.setCoupledTerm(2, 4, 0 N);
CoupledStiffness2.setCoupledTerm(2, 5, 0 N);
CoupledStiffness2.setCoupledTerm(2, 6, 0 N);
CoupledStiffness2.setTranslationalTerm(2, 7, 0 N/m);
CoupledStiffness2.setTranslationalTerm(2, 8, 0 N/m);
CoupledStiffness2.setTranslationalTerm(2, 9, 0 N/m);
CoupledStiffness2.setCoupledTerm(2, 10, 0 N);
CoupledStiffness2.setCoupledTerm(2, 11, 0 N);
CoupledStiffness2.setCoupledTerm(2, 12, 0 N);
CoupledStiffness2.setTranslationalTerm(3, 1, 0 N/m);
CoupledStiffness2.setTranslationalTerm(3, 2, 0 N/m);
CoupledStiffness2.setTranslationalTerm(3, 3, 0 N/m);
CoupledStiffness2.setCoupledTerm(3, 4, 0 N);
CoupledStiffness2.setCoupledTerm(3, 5, 0 N);
CoupledStiffness2.setCoupledTerm(3, 6, 0 N);
CoupledStiffness2.setTranslationalTerm(3, 7, 0 N/m);
CoupledStiffness2.setTranslationalTerm(3, 8, 0 N/m);
CoupledStiffness2.setTranslationalTerm(3, 9, 0 N/m);
CoupledStiffness2.setCoupledTerm(3, 10, 0 N);
CoupledStiffness2.setCoupledTerm(3, 11, 0 N);
CoupledStiffness2.setCoupledTerm(3, 12, 0 N);
CoupledStiffness2.setCoupledTerm(4, 1, 0 N);
CoupledStiffness2.setCoupledTerm(4, 2, 0 N);
CoupledStiffness2.setCoupledTerm(4, 3, 0 N);
CoupledStiffness2.setRotationalTerm(4, 4, 0 N*m);
CoupledStiffness2.setRotationalTerm(4, 5, 0 N*m);
CoupledStiffness2.setRotationalTerm(4, 6, 0 N*m);
CoupledStiffness2.setCoupledTerm(4, 7, 0 N);
CoupledStiffness2.setCoupledTerm(4, 8, 0 N);
CoupledStiffness2.setCoupledTerm(4, 9, 0 N);
CoupledStiffness2.setRotationalTerm(4, 10, 0 N*m);
CoupledStiffness2.setRotationalTerm(4, 11, 0 N*m);
CoupledStiffness2.setRotationalTerm(4, 12, 0 N*m);
CoupledStiffness2.setCoupledTerm(5, 1, 0 N);
CoupledStiffness2.setCoupledTerm(5, 2, 0 N);
CoupledStiffness2.setCoupledTerm(5, 3, 0 N);
CoupledStiffness2.setRotationalTerm(5, 4, 0 N*m);
CoupledStiffness2.setRotationalTerm(5, 5, 0 N*m);
CoupledStiffness2.setRotationalTerm(5, 6, 0 N*m);
CoupledStiffness2.setCoupledTerm(5, 7, 0 N);
CoupledStiffness2.setCoupledTerm(5, 8, 0 N);
CoupledStiffness2.setCoupledTerm(5, 9, 0 N);
CoupledStiffness2.setRotationalTerm(5, 10, 0 N*m);
CoupledStiffness2.setRotationalTerm(5, 11, 0 N*m);
CoupledStiffness2.setRotationalTerm(5, 12, 0 N*m);
CoupledStiffness2.setCoupledTerm(6, 1, 0 N);
CoupledStiffness2.setCoupledTerm(6, 2, 0 N);
CoupledStiffness2.setCoupledTerm(6, 3, 0 N);
CoupledStiffness2.setRotationalTerm(6, 4, 0 N*m);
CoupledStiffness2.setRotationalTerm(6, 5, 0 N*m);
CoupledStiffness2.setRotationalTerm(6, 6, 0 N*m);
CoupledStiffness2.setCoupledTerm(6, 7, 0 N);
CoupledStiffness2.setCoupledTerm(6, 8, 0 N);
CoupledStiffness2.setCoupledTerm(6, 9, 0 N);
CoupledStiffness2.setRotationalTerm(6, 10, 0 N*m);
CoupledStiffness2.setRotationalTerm(6, 11, 0 N*m);
CoupledStiffness2.setRotationalTerm(6, 12, 0 N*m);
CoupledStiffness2.setTranslationalTerm(7, 1, -5000000 N/m);
CoupledStiffness2.setTranslationalTerm(7, 2, 0 N/m);
CoupledStiffness2.setTranslationalTerm(7, 3, 0 N/m);
CoupledStiffness2.setCoupledTerm(7, 4, 0 N);
CoupledStiffness2.setCoupledTerm(7, 5, 0 N);
CoupledStiffness2.setCoupledTerm(7, 6, 0 N);
CoupledStiffness2.setTranslationalTerm(7, 7, 5000000 N/m);
CoupledStiffness2.setTranslationalTerm(7, 8, 0 N/m);
CoupledStiffness2.setTranslationalTerm(7, 9, 0 N/m);
CoupledStiffness2.setCoupledTerm(7, 10, 0 N);
CoupledStiffness2.setCoupledTerm(7, 11, 0 N);
CoupledStiffness2.setCoupledTerm(7, 12, 0 N);
CoupledStiffness2.setTranslationalTerm(8, 1, 0 N/m);
CoupledStiffness2.setTranslationalTerm(8, 2, 0 N/m);
CoupledStiffness2.setTranslationalTerm(8, 3, 0 N/m);
CoupledStiffness2.setCoupledTerm(8, 4, 0 N);
CoupledStiffness2.setCoupledTerm(8, 5, 0 N);
CoupledStiffness2.setCoupledTerm(8, 6, 0 N);
CoupledStiffness2.setTranslationalTerm(8, 7, 0 N/m);
CoupledStiffness2.setTranslationalTerm(8, 8, 0 N/m);
CoupledStiffness2.setTranslationalTerm(8, 9, 0 N/m);
CoupledStiffness2.setCoupledTerm(8, 10, 0 N);
CoupledStiffness2.setCoupledTerm(8, 11, 0 N);
CoupledStiffness2.setCoupledTerm(8, 12, 0 N);
CoupledStiffness2.setTranslationalTerm(9, 1, 0 N/m);
CoupledStiffness2.setTranslationalTerm(9, 2, 0 N/m);
CoupledStiffness2.setTranslationalTerm(9, 3, 0 N/m);
CoupledStiffness2.setCoupledTerm(9, 4, 0 N);
CoupledStiffness2.setCoupledTerm(9, 5, 0 N);
CoupledStiffness2.setCoupledTerm(9, 6, 0 N);
CoupledStiffness2.setTranslationalTerm(9, 7, 0 N/m);
CoupledStiffness2.setTranslationalTerm(9, 8, 0 N/m);
CoupledStiffness2.setTranslationalTerm(9, 9, 0 N/m);
CoupledStiffness2.setCoupledTerm(9, 10, 0 N);
CoupledStiffness2.setCoupledTerm(9, 11, 0 N);
CoupledStiffness2.setCoupledTerm(9, 12, 0 N);
CoupledStiffness2.setCoupledTerm(10, 1, 0 N);
CoupledStiffness2.setCoupledTerm(10, 2, 0 N);
CoupledStiffness2.setCoupledTerm(10, 3, 0 N);
CoupledStiffness2.setRotationalTerm(10, 4, 0 N*m);
CoupledStiffness2.setRotationalTerm(10, 5, 0 N*m);
CoupledStiffness2.setRotationalTerm(10, 6, 0 N*m);
CoupledStiffness2.setCoupledTerm(10, 7, 0 N);
CoupledStiffness2.setCoupledTerm(10, 8, 0 N);
CoupledStiffness2.setCoupledTerm(10, 9, 0 N);
CoupledStiffness2.setRotationalTerm(10, 10, 0 N*m);
CoupledStiffness2.setRotationalTerm(10, 11, 0 N*m);
CoupledStiffness2.setRotationalTerm(10, 12, 0 N*m);
CoupledStiffness2.setCoupledTerm(11, 1, 0 N);
CoupledStiffness2.setCoupledTerm(11, 2, 0 N);
CoupledStiffness2.setCoupledTerm(11, 3, 0 N);
CoupledStiffness2.setRotationalTerm(11, 4, 0 N*m);
CoupledStiffness2.setRotationalTerm(11, 5, 0 N*m);
CoupledStiffness2.setRotationalTerm(11, 6, 0 N*m);
CoupledStiffness2.setCoupledTerm(11, 7, 0 N);
CoupledStiffness2.setCoupledTerm(11, 8, 0 N);
CoupledStiffness2.setCoupledTerm(11, 9, 0 N);
CoupledStiffness2.setRotationalTerm(11, 10, 0 N*m);
CoupledStiffness2.setRotationalTerm(11, 11, 0 N*m);
CoupledStiffness2.setRotationalTerm(11, 12, 0 N*m);
CoupledStiffness2.setCoupledTerm(12, 1, 0 N);
CoupledStiffness2.setCoupledTerm(12, 2, 0 N);
CoupledStiffness2.setCoupledTerm(12, 3, 0 N);
CoupledStiffness2.setRotationalTerm(12, 4, 0 N*m);
CoupledStiffness2.setRotationalTerm(12, 5, 0 N*m);
CoupledStiffness2.setRotationalTerm(12, 6, 0 N*m);
CoupledStiffness2.setCoupledTerm(12, 7, 0 N);
CoupledStiffness2.setCoupledTerm(12, 8, 0 N);
CoupledStiffness2.setCoupledTerm(12, 9, 0 N);
CoupledStiffness2.setRotationalTerm(12, 10, 0 N*m);
CoupledStiffness2.setRotationalTerm(12, 11, 0 N*m);
CoupledStiffness2.setRotationalTerm(12, 12, 0 N*m);
CoupledStiffness2.body1 = 1;
CoupledStiffness2.body2 = 2;
CoupledStiffness2.setKidTag("0d73aaa0-0981-4072-80b5-d41c076c6e0a");
// ***********************************************************
MultiBodyModel_45 = MultiBodyModel();
MultiBodyModel_45.addBody(LoadingCondition2, 0 m, 0 m, 0 deg);
MultiBodyModel_45.addBody(LoadingCondition1, -74 m, 45 m, 0 deg);
// ***********************************************************
MultiBodyModel_50 = MultiBodyModel();
MultiBodyModel_50.addBody(LoadingCondition2, 0 m, 0 m, 0 deg);
MultiBodyModel_50.addBody(LoadingCondition1, -74 m, 50 m, 0 deg);
// ***********************************************************
MultiBodyModel_65 = MultiBodyModel();
MultiBodyModel_65.addBody(LoadingCondition2, 0 m, 0 m, 0 deg);
MultiBodyModel_65.addBody(LoadingCondition1, -74 m, 65 m, 0 deg);
// ***********************************************************
MultiBodyModel_55 = MultiBodyModel();
MultiBodyModel_55.addBody(LoadingCondition2, 0 m, 0 m, 0 deg);
MultiBodyModel_55.addBody(LoadingCondition1, -74 m, 55 m, 0 deg);
// ***********************************************************
MultiBodyModel2 = MultiBodyModel();
MultiBodyModel2.addBody(LoadingCondition2, 0 m, 0 m, 0 deg);
MultiBodyModel2.addBody(LoadingCondition1, -74 m, 75 m, 0 deg);
// ***********************************************************
two_vessells_75 = WadamRun();
two_vessells_75.useMultiBody(true);
two_vessells_75.setMultiBodyModel(MultiBodyModel2);
two_vessells_75.setEnvironmentData(Condition1);
two_vessells_75.useSeaState(false);
two_vessells_75.dataCheck(false);
two_vessells_75.setAnalysisType(WadamRunGlobalResponse);
two_vessells_75.calculateDrift(false);
two_vessells_75.waveDriftDamping(false);
two_vessells_75.setSolverType(WadamRunDirectSolver);
two_vessells_75.setMaxMatrixDimension(5000);
two_vessells_75.setSingularityType(WadamRunAnalyticalSingularity);
two_vessells_75.setIntegrationType(WadamRunOneNodeGauss);
two_vessells_75.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
two_vessells_75.removeIrrFrequencies(false);
two_vessells_75.saveTempWamitFiles(true);
two_vessells_75.stopBeforePotenExecution(false);
two_vessells_75.bypassPotenExecution(false);
two_vessells_75.stopBeforeFirstForceExecution(false);
two_vessells_75.bypassFirstForceExecution(false);
two_vessells_75.useWadamMassCalculation(false);
two_vessells_75.stopBeforeSecondForceExecution(false);
two_vessells_75.bypassSecondForceExecution(false);
two_vessells_75.useSaveRestart(false);
two_vessells_75.setPrintType(WadamRunNormalPrint);
two_vessells_75.setResponseFileType(WadamRunSIFFormatted);
two_vessells_75.calculateEigenvalues(true);
two_vessells_75.defineGlobalResponseReferencePoint(false);
two_vessells_75.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
two_vessells_75.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
two_vessells_75.setLoadTransferLinearInterpolationXmin(0);
two_vessells_75.setLoadTransferLinearInterpolationXmax(0);
two_vessells_75.sumFrequencyResults(false);
two_vessells_75.differenceFrequencyResults(false);
two_vessells_75.setToleranceWaterLine(5);
two_vessells_75.setToleranceCOG(5);
two_vessells_75.setCharacteristicLength(100 m);
two_vessells_75.specifyOutputDirectory(false);
two_vessells_75.autoOwerwriteExistingResultFiles(false);
two_vessells_75.setKidTag("94f952da-c012-42dd-9e01-3afad2d4eb8e");
// ***********************************************************
two_vessels_45 = WadamRun();
two_vessels_45.useMultiBody(true);
two_vessels_45.setMultiBodyModel(MultiBodyModel_45);
two_vessels_45.setEnvironmentData(Condition1);
two_vessels_45.useSeaState(false);
two_vessels_45.dataCheck(false);
two_vessels_45.setAnalysisType(WadamRunGlobalResponse);
two_vessels_45.calculateDrift(false);
two_vessels_45.waveDriftDamping(false);
two_vessels_45.setSolverType(WadamRunDirectSolver);
two_vessels_45.setMaxMatrixDimension(5000);
two_vessels_45.setSingularityType(WadamRunAnalyticalSingularity);
two_vessels_45.setIntegrationType(WadamRunOneNodeGauss);
two_vessels_45.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
two_vessels_45.removeIrrFrequencies(false);
two_vessels_45.saveTempWamitFiles(true);
two_vessels_45.stopBeforePotenExecution(false);
two_vessels_45.bypassPotenExecution(false);
two_vessels_45.stopBeforeFirstForceExecution(false);
two_vessels_45.bypassFirstForceExecution(false);
two_vessels_45.useWadamMassCalculation(false);
two_vessels_45.stopBeforeSecondForceExecution(false);
two_vessels_45.bypassSecondForceExecution(false);
two_vessels_45.useSaveRestart(false);
two_vessels_45.setPrintType(WadamRunNormalPrint);
two_vessels_45.setResponseFileType(WadamRunSIFFormatted);
two_vessels_45.calculateEigenvalues(true);
two_vessels_45.defineGlobalResponseReferencePoint(false);
two_vessels_45.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
two_vessels_45.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
two_vessels_45.setLoadTransferLinearInterpolationXmin(0);
two_vessels_45.setLoadTransferLinearInterpolationXmax(0);
two_vessels_45.sumFrequencyResults(false);
two_vessels_45.differenceFrequencyResults(false);
two_vessels_45.setToleranceWaterLine(5);
two_vessels_45.setToleranceCOG(5);
two_vessels_45.setCharacteristicLength(100 m);
two_vessels_45.specifyOutputDirectory(false);
two_vessels_45.autoOwerwriteExistingResultFiles(false);
two_vessels_45.setKidTag("0a723790-35af-45b3-b57e-36c381d6194b");
// ***********************************************************
two_vessels_50 = WadamRun();
two_vessels_50.useMultiBody(true);
two_vessels_50.setMultiBodyModel(MultiBodyModel_50);
two_vessels_50.setEnvironmentData(Condition1);
two_vessels_50.useSeaState(false);
two_vessels_50.dataCheck(false);
two_vessels_50.setAnalysisType(WadamRunGlobalResponse);
two_vessels_50.calculateDrift(false);
two_vessels_50.waveDriftDamping(false);
two_vessels_50.setSolverType(WadamRunDirectSolver);
two_vessels_50.setMaxMatrixDimension(5000);
two_vessels_50.setSingularityType(WadamRunAnalyticalSingularity);
two_vessels_50.setIntegrationType(WadamRunOneNodeGauss);
two_vessels_50.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
two_vessels_50.removeIrrFrequencies(false);
two_vessels_50.saveTempWamitFiles(true);
two_vessels_50.stopBeforePotenExecution(false);
two_vessels_50.bypassPotenExecution(false);
two_vessels_50.stopBeforeFirstForceExecution(false);
two_vessels_50.bypassFirstForceExecution(false);
two_vessels_50.useWadamMassCalculation(false);
two_vessels_50.stopBeforeSecondForceExecution(false);
two_vessels_50.bypassSecondForceExecution(false);
two_vessels_50.useSaveRestart(false);
two_vessels_50.setPrintType(WadamRunNormalPrint);
two_vessels_50.setResponseFileType(WadamRunSIFFormatted);
two_vessels_50.calculateEigenvalues(true);
two_vessels_50.defineGlobalResponseReferencePoint(false);
two_vessels_50.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
two_vessels_50.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
two_vessels_50.setLoadTransferLinearInterpolationXmin(0);
two_vessels_50.setLoadTransferLinearInterpolationXmax(0);
two_vessels_50.sumFrequencyResults(false);
two_vessels_50.differenceFrequencyResults(false);
two_vessels_50.setToleranceWaterLine(5);
two_vessels_50.setToleranceCOG(5);
two_vessels_50.setCharacteristicLength(100 m);
two_vessels_50.specifyOutputDirectory(false);
two_vessels_50.autoOwerwriteExistingResultFiles(false);
two_vessels_50.setKidTag("521ca7f2-3367-46d3-9ae3-62f30ae5b39b");
// ***********************************************************
two_vessels_55 = WadamRun();
two_vessels_55.useMultiBody(true);
two_vessels_55.setMultiBodyModel(MultiBodyModel_55);
two_vessels_55.setEnvironmentData(Condition1);
two_vessels_55.useSeaState(false);
two_vessels_55.dataCheck(false);
two_vessels_55.setAnalysisType(WadamRunGlobalResponse);
two_vessels_55.calculateDrift(false);
two_vessels_55.waveDriftDamping(false);
two_vessels_55.setSolverType(WadamRunDirectSolver);
two_vessels_55.setMaxMatrixDimension(5000);
two_vessels_55.setSingularityType(WadamRunAnalyticalSingularity);
two_vessels_55.setIntegrationType(WadamRunOneNodeGauss);
two_vessels_55.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
two_vessels_55.removeIrrFrequencies(false);
two_vessels_55.saveTempWamitFiles(true);
two_vessels_55.stopBeforePotenExecution(false);
two_vessels_55.bypassPotenExecution(false);
two_vessels_55.stopBeforeFirstForceExecution(false);
two_vessels_55.bypassFirstForceExecution(false);
two_vessels_55.useWadamMassCalculation(false);
two_vessels_55.stopBeforeSecondForceExecution(false);
two_vessels_55.bypassSecondForceExecution(false);
two_vessels_55.useSaveRestart(false);
two_vessels_55.setPrintType(WadamRunNormalPrint);
two_vessels_55.setResponseFileType(WadamRunSIFFormatted);
two_vessels_55.calculateEigenvalues(true);
two_vessels_55.defineGlobalResponseReferencePoint(false);
two_vessels_55.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
two_vessels_55.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
two_vessels_55.setLoadTransferLinearInterpolationXmin(0);
two_vessels_55.setLoadTransferLinearInterpolationXmax(0);
two_vessels_55.sumFrequencyResults(false);
two_vessels_55.differenceFrequencyResults(false);
two_vessels_55.setToleranceWaterLine(5);
two_vessels_55.setToleranceCOG(5);
two_vessels_55.setCharacteristicLength(100 m);
two_vessels_55.specifyOutputDirectory(false);
two_vessels_55.autoOwerwriteExistingResultFiles(false);
two_vessels_55.setKidTag("159bdf11-5efc-4512-8df5-bcbde7ceab4e");
// ***********************************************************
two_vessels_65 = WadamRun();
two_vessels_65.useMultiBody(true);
two_vessels_65.setMultiBodyModel(MultiBodyModel_65);
two_vessels_65.setEnvironmentData(Condition1);
two_vessels_65.useSeaState(false);
two_vessels_65.dataCheck(false);
two_vessels_65.setAnalysisType(WadamRunGlobalResponse);
two_vessels_65.calculateDrift(false);
two_vessels_65.waveDriftDamping(false);
two_vessels_65.setSolverType(WadamRunDirectSolver);
two_vessels_65.setMaxMatrixDimension(5000);
two_vessels_65.setSingularityType(WadamRunAnalyticalSingularity);
two_vessels_65.setIntegrationType(WadamRunOneNodeGauss);
two_vessels_65.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
two_vessels_65.removeIrrFrequencies(false);
two_vessels_65.saveTempWamitFiles(true);
two_vessels_65.stopBeforePotenExecution(false);
two_vessels_65.bypassPotenExecution(false);
two_vessels_65.stopBeforeFirstForceExecution(false);
two_vessels_65.bypassFirstForceExecution(false);
two_vessels_65.useWadamMassCalculation(false);
two_vessels_65.stopBeforeSecondForceExecution(false);
two_vessels_65.bypassSecondForceExecution(false);
two_vessels_65.useSaveRestart(false);
two_vessels_65.setPrintType(WadamRunNormalPrint);
two_vessels_65.setResponseFileType(WadamRunSIFFormatted);
two_vessels_65.calculateEigenvalues(true);
two_vessels_65.defineGlobalResponseReferencePoint(false);
two_vessels_65.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
two_vessels_65.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
two_vessels_65.setLoadTransferLinearInterpolationXmin(0);
two_vessels_65.setLoadTransferLinearInterpolationXmax(0);
two_vessels_65.sumFrequencyResults(false);
two_vessels_65.differenceFrequencyResults(false);
two_vessels_65.setToleranceWaterLine(5);
two_vessels_65.setToleranceCOG(5);
two_vessels_65.setCharacteristicLength(100 m);
two_vessels_65.specifyOutputDirectory(false);
two_vessels_65.autoOwerwriteExistingResultFiles(false);
two_vessels_65.setKidTag("8f5c2eca-6a76-45ac-82aa-6421b01d962f");
// ***********************************************************
WadamRun1 = WadamRun();
WadamRun1.useMultiBody(true);
WadamRun1.setMultiBodyModel(MultiBodyModel1);
WadamRun1.setEnvironmentData(Condition1);
WadamRun1.useSeaState(false);
WadamRun1.dataCheck(false);
WadamRun1.setAnalysisType(WadamRunStructuralLoads);
WadamRun1.calculateDrift(false);
WadamRun1.waveDriftDamping(false);
WadamRun1.setSolverType(WadamRunDirectSolver);
WadamRun1.setMaxMatrixDimension(3000);
WadamRun1.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun1.setIntegrationType(WadamRunOneNodeGauss);
WadamRun1.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun1.removeIrrFrequencies(false);
WadamRun1.saveTempWamitFiles(false);
WadamRun1.stopBeforePotenExecution(false);
WadamRun1.bypassPotenExecution(false);
WadamRun1.stopBeforeFirstForceExecution(false);
WadamRun1.bypassFirstForceExecution(false);
WadamRun1.useWadamMassCalculation(false);
WadamRun1.stopBeforeSecondForceExecution(false);
WadamRun1.bypassSecondForceExecution(false);
WadamRun1.useSaveRestart(false);
WadamRun1.setPrintType(WadamRunNormalPrint);
WadamRun1.setResponseFileType(WadamRunSIFFormatted);
WadamRun1.calculateEigenvalues(true);
WadamRun1.defineGlobalResponseReferencePoint(false);
WadamRun1.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun1.setLoadTransferFileType(WadamRunBinaryLoadFile);
WadamRun1.setModelFileType(WadamRunShellSolidStructuralModel);
WadamRun1.structuralLoadStatic(true);
WadamRun1.structuralLoadHydroDynamic(true);
WadamRun1.structuralLoadInertia(true);
WadamRun1.includeStaticGravity(true);
WadamRun1.includeFluctuatingGravity(true);
WadamRun1.structuralLoadDynamicRestoring(true);
WadamRun1.specifyLoadcaseOffset(true);
WadamRun1.setLoadCaseNumberOffset(1);
WadamRun1.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun1.setLoadTransferLinearInterpolation(false);
WadamRun1.setLoadTransferLinearInterpolationXmin(0);
WadamRun1.setLoadTransferLinearInterpolationXmax(0);
WadamRun1.sumFrequencyResults(false);
WadamRun1.differenceFrequencyResults(false);
WadamRun1.setToleranceWaterLine(5);
WadamRun1.setToleranceCOG(5);
WadamRun1.setCharacteristicLength(200 m);
WadamRun1.setPanelPlateDistance(5);
WadamRun1.setPanelPlateAngle(20 deg);
WadamRun1.specifyOutputDirectory(false);
WadamRun1.autoOwerwriteExistingResultFiles(false);
WadamRun1.setKidTag("8a9ed9ab-14d1-4aab-92ea-4faa0d8eb698");
// ***********************************************************
WadamRun_Coupled = WadamRun();
WadamRun_Coupled.useMultiBody(true);
WadamRun_Coupled.setMultiBodyModel(MultiBodyModel_Coupled);
WadamRun_Coupled.setEnvironmentData(Condition1);
WadamRun_Coupled.useSeaState(false);
WadamRun_Coupled.dataCheck(false);
WadamRun_Coupled.setAnalysisType(WadamRunStructuralLoads);
WadamRun_Coupled.calculateDrift(false);
WadamRun_Coupled.waveDriftDamping(false);
WadamRun_Coupled.setSolverType(WadamRunDirectSolver);
WadamRun_Coupled.setMaxMatrixDimension(3000);
WadamRun_Coupled.setSingularityType(WadamRunAnalyticalSingularity);
WadamRun_Coupled.setIntegrationType(WadamRunOneNodeGauss);
WadamRun_Coupled.setPanelDimensionType(WadamRunMaximumDiagonalPanelDimension);
WadamRun_Coupled.removeIrrFrequencies(false);
WadamRun_Coupled.saveTempWamitFiles(false);
WadamRun_Coupled.stopBeforePotenExecution(false);
WadamRun_Coupled.bypassPotenExecution(false);
WadamRun_Coupled.stopBeforeFirstForceExecution(false);
WadamRun_Coupled.bypassFirstForceExecution(false);
WadamRun_Coupled.useWadamMassCalculation(false);
WadamRun_Coupled.stopBeforeSecondForceExecution(false);
WadamRun_Coupled.bypassSecondForceExecution(false);
WadamRun_Coupled.useSaveRestart(false);
WadamRun_Coupled.setPrintType(WadamRunNormalPrint);
WadamRun_Coupled.setResponseFileType(WadamRunSIFFormatted);
WadamRun_Coupled.calculateEigenvalues(true);
WadamRun_Coupled.defineGlobalResponseReferencePoint(false);
WadamRun_Coupled.setGlobalResponseReferencePoint(Point(0 m,0 m,0 m));
WadamRun_Coupled.setLoadTransferFileType(WadamRunBinaryLoadFile);
WadamRun_Coupled.setModelFileType(WadamRunShellSolidStructuralModel);
WadamRun_Coupled.structuralLoadStatic(true);
WadamRun_Coupled.structuralLoadHydroDynamic(true);
WadamRun_Coupled.structuralLoadInertia(true);
WadamRun_Coupled.includeStaticGravity(true);
WadamRun_Coupled.includeFluctuatingGravity(true);
WadamRun_Coupled.structuralLoadDynamicRestoring(true);
WadamRun_Coupled.specifyLoadcaseOffset(true);
WadamRun_Coupled.setLoadCaseNumberOffset(1);
WadamRun_Coupled.setWaterlinePanelMethod(WadamRunNoPanelPressureAdjustment);
WadamRun_Coupled.setLoadTransferLinearInterpolation(false);
WadamRun_Coupled.setLoadTransferLinearInterpolationXmin(0);
WadamRun_Coupled.setLoadTransferLinearInterpolationXmax(0);
WadamRun_Coupled.sumFrequencyResults(false);
WadamRun_Coupled.differenceFrequencyResults(false);
WadamRun_Coupled.setToleranceWaterLine(5);
WadamRun_Coupled.setToleranceCOG(5);
WadamRun_Coupled.setCharacteristicLength(200 m);
WadamRun_Coupled.setPanelPlateDistance(5);
WadamRun_Coupled.setPanelPlateAngle(20 deg);
WadamRun_Coupled.specifyOutputDirectory(false);
WadamRun_Coupled.autoOwerwriteExistingResultFiles(false);
WadamRun_Coupled.setKidTag("397bd3fb-268b-4d9b-ab36-0eca51e6c318");
// ***********************************************************
WadamWizard1 = WadamWizard();
WadamWizard1.setModelConfiguration(WadamWorkflowPanelModel);
WadamWizard1.setPanelModelConfiguration(WadamWorkflowElementPanelModel);
WadamWizard1.timeDomain(false);
WadamWizard1.rollDamping = false;
WadamWizard1.loadCrossection = false;
WadamWizard1.loadTransfer = false;
WadamWizard1.tankPressure = true;
WadamWizard1.pressurePanels = false;
WadamWizard1.offbodyPoints = false;
WadamWizard1.secondOrder = false;
WadamWizard1.dampingMatrix = false;
WadamWizard1.criticalDamping = false;
WadamWizard1.restoringMatrix = false;
WadamWizard1.addEditObject(DirectionSet1);
WadamWizard1.addEditObject(FrequencySet1);
WadamWizard1.addEditObject(Location1);
WadamWizard1.addEditObject(Condition1);
WadamWizard1.addEditObject(HydroModel1);
WadamWizard1.addEditObject(Ballast);
WadamWizard1.addEditObject(Permeability1);
WadamWizard1.addEditObject(FillingFraction0_576);
WadamWizard1.addEditObject(PanelModel1);
WadamWizard1.addEditObject(Cm_LC15);
WadamWizard1.addEditObject(LoadingCondition1);
WadamWizard1.addEditObject(Cm_LC15_C);
WadamWizard1.addEditObject(MassModel1);
WadamWizard1.addEditObject(StructureModel1);
WadamWizard1.setKidTag("23e411b8-0f16-48da-ad79-db6c7798dc85");
